## org.apache.axis.wsdl.symbolTable
Class Parameters

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.Parameters

public class Parameters
extends java.lang.Object

This class simply collects all the parameter or message data for an operation into one place.

Field Summary
`java.util.Map` `faults` Field faults
`int` `inouts` Field inouts
`int` `inputs` Field inputs
`java.util.Vector` `list` Field list
`javax.wsdl.OperationType` `mep` The MEP for this operation (default is request-response)
`int` `outputs` Field outputs
`Parameter` `returnParam` Field returnParam
`java.lang.String` `signature` Field signature

Constructor Summary
`Parameters()`

Method Summary
`java.lang.String` `toString()` Method toString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mep

    public javax.wsdl.OperationType mep

  The MEP for this operation (default is request-response)

### list

    public java.util.Vector list

  Field list

### returnParam

    public Parameter returnParam

  Field returnParam

### faults

    public java.util.Map faults

  Field faults

### signature

    public java.lang.String signature

  Field signature

### inputs

    public int inputs

  Field inputs

### inouts

    public int inouts

  Field inouts

### outputs

    public int outputs

  Field outputs

Constructor Detail

### Parameters

    public Parameters()

Method Detail

### toString

    public java.lang.String toString()

  Method toString

  Returns:

Copyright © 2005 Apache Web Services Project. All Rights Reserved.